Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004290 [JEDI VCL] 00 JVCL Components major always 2007-11-11 05:36 2009-10-28 00:19
Reporter AlexB View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0004290: TApplicationEvents vs TJvAppEvents problem
Description CB2007.
Main form has standard TApplicationEvents and OnIdle event.
Child (modal) form has TJvAppEvents and OnIdle event.

After closing the child form, the TApplicationEvents->OnIdle in the
main form ceases to work (no call of OnIdle).
Additional Information Such mixing of components easily arises if project uses sources of different authors or sources written in different time (old form in new application).

Is this possible to make them interchangeable ?
If no (or difficult, or it make no sense), it's desirable to generate an error of compilation (or warning at least).
Tags No tags attached.
Attached Files 7z file icon AppEv vs JvAppEv.7z [^] (6,117 bytes) 2008-08-04 01:40

- Relationships

-  Notes
(0014174)
obones (administrator)
2008-02-20 06:58

Can you send me the zipped sources of a sample application showing this? That way I can figure out a way to workaround this. Maybe using the Chained property could help.
(0014440)
obones (administrator)
2008-07-23 07:23

No news, no action
(0014473)
AlexB (reporter)
2008-08-04 01:39
edited on: 2008-08-04 01:41

> No news, no action
Sorry for delay.
I spent 4 weeks too far from computers :-)
and so I had no ability to answer.

> Can you send me the zipped sources of a sample application showing this?
Yes, I'd sent the demo Feb 26 (if newsreader is showing me the right date) into binaries (Mantis was out of order). Now demo is in Mantis.

> Maybe using the Chained property could help.
No effect.

(0014808)
obones (administrator)
2008-10-10 05:04

Ok, thanks for the demo.
Issue available for anyone to look at.
(0016839)
AHUser (developer)
2009-10-28 00:19

Fixed in SVN.

TJvAppEvents now uses TApplicationEvents internally.

- Issue History
Date Modified Username Field Change
2007-11-11 05:36 AlexB New Issue
2008-02-20 06:58 obones Note Added: 0014174
2008-02-20 06:58 obones Status new => feedback
2008-07-23 07:23 obones Status feedback => resolved
2008-07-23 07:23 obones Resolution open => suspended
2008-07-23 07:23 obones Assigned To => obones
2008-07-23 07:23 obones Note Added: 0014440
2008-08-04 01:39 AlexB Status resolved => feedback
2008-08-04 01:39 AlexB Resolution suspended => reopened
2008-08-04 01:39 AlexB Note Added: 0014473
2008-08-04 01:40 AlexB File Added: AppEv vs JvAppEv.7z
2008-08-04 01:41 AlexB Note Edited: 0014473
2008-10-10 05:04 obones Note Added: 0014808
2008-10-10 05:04 obones Status feedback => acknowledged
2009-10-28 00:19 AHUser Note Added: 0016839
2009-10-28 00:19 AHUser Status acknowledged => resolved
2009-10-28 00:19 AHUser Fixed in Version => Daily / SVN
2009-10-28 00:19 AHUser Resolution reopened => fixed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker